Subject: Re: [RFC PATCH net-next 11/24] phy: Add an mdio_device structure

From: Florian Fainelli <[email-masked]>
Date: Mon, 04 Jan 2016 17:53:12 -0800

On 04/01/16 09:36, Andrew Lunn wrote:
> Not all devices attached to an MDIO bus are phys. So add an
> mdio_device structure to represent the generic parts of an mdio
> device, and place this structure into the phy_device.

This looks good to me, I am just wondering if it would make sense to
introduce another patch, prior to this one which does something like:

- expose phydev_addr(phydev) to encapsulate the phy device's addr member
and convert all drivers listed here to that helper, do the same thing
with phydev_bus(phydev) to get the mii_bus of a given PHY device

- have a subsequent patch which relocates phydev->{addr,bus} to the
common MDIO device structure?

Other than that:

Reviewed-by: Florian Fainelli <[email-masked]>
-- 
Florian